Subject: Re: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Alvaro Ramirez <[email-masked]>
Date: Tue, 22 Jul 2025 15:53:42 +0100

> On 22 Jul 2025, at 15:23, Stéphane Marks <[email-masked]> wrote:
> 
> On Tue, Jul 22, 2025 at 10:21 AM Eli Zaretskii <[email-masked] <mailto:[email-masked]>> wrote:
>> > From: Alvaro Ramirez <[email-masked] <mailto:[email-masked]>>
>> > Date: Tue, 22 Jul 2025 15:00:18 +0100
>> > Cc: Stéphane Marks <[email-masked] <mailto:[email-masked]>>,
>> >  Eli Zaretskii <[email-masked] <mailto:[email-masked]>>,
>> >  [email-masked] <mailto:[email-masked]>,
>> >  [email-masked] <mailto:[email-masked]>,
>> >  [email-masked] <mailto:[email-masked]>
>> > 
>> > +1 I’d like to propose we treat macOS 12.7.6 / Intel as a separate issue if that’s ok? 
>> 
>> If that is what we want to do, then the PROBLEMS entry should be
>> updated to say that older versions of macOS are not supported by this
>> feature in Emacs.
> 
> But, older than what specific macOS version will be the question to answer,

We can only go with the information we have available as of today, given the hardware and macOS versions we have access to. With new data points, we would update this info.

I’m happy to update PROBLEMS with the data we know today (maybe something like “There are reports of this feature being unavailable for macOS 12 users").

> and why it's broken/incomplete is another question. 

I’m running out of ideas to fix on hardware (and OS version) I don’t have access to. One thing that comes to mind is patching with the rollback, since I was able to get dictation working that way also. This may not be a future-proof solution to submit upstream, but helps unblock your use-case using local builds.

> I think we spend a little more time on this before declaring this patch a success.

We have deterministic evidence the patch is working on macOS 15, the latest stable release.